net.minecraftforge.common.chunkio

## Class ChunkIOExecutor

- java.lang.Object
- - net.minecraftforge.common.chunkio.ChunkIOExecutor

-     public class ChunkIOExecutor
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChunkIOExecutor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `adjustPoolSize(int players)`
    `static void` | `dropQueuedChunkLoad(World world, int x, int z, java.lang.Runnable runnable)`
    `static void` | `queueChunkLoad(World world, AnvilChunkLoader loader, ChunkProviderServer provider, int x, int z, java.lang.Runnable runnable)`
    `static Chunk` | `syncChunkLoad(World world, AnvilChunkLoader loader, ChunkProviderServer provider, int x, int z)`
    `static void` | `tick()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChunkIOExecutor

          public ChunkIOExecutor()

  - ### Method Detail

    - #### syncChunkLoad

          public static Chunk syncChunkLoad(World world,
                            AnvilChunkLoader loader,
                            ChunkProviderServer provider,
                            int x,
                            int z)

    - #### queueChunkLoad

          public static void queueChunkLoad(World world,
                            AnvilChunkLoader loader,
                            ChunkProviderServer provider,
                            int x,
                            int z,
                            java.lang.Runnable runnable)

    - #### dropQueuedChunkLoad

          public static void dropQueuedChunkLoad(World world,
                                 int x,
                                 int z,
                                 java.lang.Runnable runnable)

    - #### adjustPoolSize

          public static void adjustPoolSize(int players)

    - #### tick

          public static void tick()